- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannParaCntrl5_1::ProblemSpecs Class Reference

`#include <MittelmannParaCntrl.hpp>`

List of all members.

## Public Member Functions
| ProblemSpecs ()
Number | T ()
Number | l ()
Number | lb_y ()
Number | ub_y ()
Number | lb_u ()
Number | ub_u ()
Number | alpha ()
Number | beta ()
Number | y_T (Number x)
Number | a (Number x)
Number | a_y (Number t)
Number | a_u (Number t)
Number | b (Number t)
Number | phi (Number y)
Number | phi_dy (Number y)
Number | phi_dydy (Number y)
bool | phi_dydy_always_zero ()
## Private Attributes
const Number | pi_
const Number | exp13_
const Number | exp23_
const Number | exp1_
const Number | expm1_
const Number | sqrt2_

## Detailed Description

Definition at line 639 of file MittelmannParaCntrl.hpp.

## Constructor & Destructor Documentation

MittelmannParaCntrl5_1::ProblemSpecs::ProblemSpecs | ( |  | ) | `[inline]`

Definition at line 642 of file MittelmannParaCntrl.hpp.

## Member Function Documentation

Number MittelmannParaCntrl5_1::ProblemSpecs::T | ( |  | ) | `[inline]`

Definition at line 651 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::l | ( |  | ) | `[inline]`

Definition at line 655 of file MittelmannParaCntrl.hpp.

References pi_.

Number MittelmannParaCntrl5_1::ProblemSpecs::lb_y | ( |  | ) | `[inline]`

Definition at line 659 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::ub_y | ( |  | ) | `[inline]`

Definition at line 663 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::lb_u | ( |  | ) | `[inline]`

Definition at line 667 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::ub_u | ( |  | ) | `[inline]`

Definition at line 671 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::alpha | ( |  | ) | `[inline]`

Definition at line 675 of file MittelmannParaCntrl.hpp.

References exp13_, exp23_, and sqrt2_.

Number MittelmannParaCntrl5_1::ProblemSpecs::beta | ( |  | ) | `[inline]`

Definition at line 679 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::y_T | ( | Number | x | ) | `[inline]`

Definition at line 683 of file MittelmannParaCntrl.hpp.

References exp1_, and expm1_.

Number MittelmannParaCntrl5_1::ProblemSpecs::a | ( | Number | x | ) | `[inline]`

Definition at line 687 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::a_y | ( | Number | t | ) | `[inline]`

Definition at line 691 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::a_u | ( | Number | t | ) | `[inline]`

Definition at line 695 of file MittelmannParaCntrl.hpp.

References exp13_, and sqrt2_.

Number MittelmannParaCntrl5_1::ProblemSpecs::b | ( | Number | t | ) | `[inline]`

Definition at line 699 of file MittelmannParaCntrl.hpp.

References exp13_, exp23_, Ipopt::Max(), and Ipopt::Min().

Number MittelmannParaCntrl5_1::ProblemSpecs::phi | ( | Number | y | ) | `[inline]`

Definition at line 704 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::phi_dy | ( | Number | y | ) | `[inline]`

Definition at line 708 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::phi_dydy | ( | Number | y | ) | `[inline]`

Definition at line 712 of file MittelmannParaCntrl.hpp.

bool MittelmannParaCntrl5_1::ProblemSpecs::phi_dydy_always_zero | ( |  | ) | `[inline]`

Definition at line 716 of file MittelmannParaCntrl.hpp.

## Member Data Documentation

const Number MittelmannParaCntrl5_1::ProblemSpecs::pi_`[private]`

Definition at line 721 of file MittelmannParaCntrl.hpp.

Referenced by l().

const Number MittelmannParaCntrl5_1::ProblemSpecs::exp13_`[private]`

Definition at line 722 of file MittelmannParaCntrl.hpp.

Referenced by a_u(), alpha(), and b().

const Number MittelmannParaCntrl5_1::ProblemSpecs::exp23_`[private]`

Definition at line 723 of file MittelmannParaCntrl.hpp.

Referenced by alpha(), and b().

const Number MittelmannParaCntrl5_1::ProblemSpecs::exp1_`[private]`

Definition at line 724 of file MittelmannParaCntrl.hpp.

Referenced by y_T().

const Number MittelmannParaCntrl5_1::ProblemSpecs::expm1_`[private]`

Definition at line 725 of file MittelmannParaCntrl.hpp.

Referenced by y_T().

const Number MittelmannParaCntrl5_1::ProblemSpecs::sqrt2_`[private]`

Definition at line 726 of file MittelmannParaCntrl.hpp.

Referenced by a_u(), and alpha().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/examples/ScalableProblems/MittelmannParaCntrl.hpp